<?php $this->form->config(array('templates' => array(
	 'error' => '<div class="notification error">{:content}</div>'))); ?>
<?php if (empty($anime)): ?>
<h2 class="ribbon full">Find an Anime:</h2>
<div class="triangle-ribbon"></div>
<br class="cl" />
<?php else: ?>
<h2 class="ribbon full"><?= $anime->title ?></h2>
<div class="triangle-ribbon"></div>
<br class="cl" />
<?php endif; ?>

<script type="text/javascript">		
		$(function() {
			$('#tags').tagsInput();
		});
</script>

<?php 
	echo $this->form->create($entry);

	//Hidden because the user can't change these.
	//These are stored in the anime list for faster lookup times,
	//So we can avoid getting this data live for every anime. 
	if (isset($anime)) { 
		echo $this->form->hidden('series_animedb_id', array('value' => $anime->special_id));
		echo $this->form->hidden('series_title',      array('value' => $anime->title));
		echo $this->form->hidden('series_type', 	  array('value' => $anime->view_type));
		echo $this->form->hidden('series_episodes',   array('value' => $anime->episode_count));
	}

	echo $this->form->field('my_watched_episodes', array('label' => 'Watched Episodes'));
	echo "Start date";
	echo $this->form->field('my_start_date', array('label' => 'Start Date'));
	echo $this->form->field('my_finish_date', array('label' => 'Finish Date'));
	echo $this->form->field('my_score', array('label' => 'Score'));
	echo $this->form->label('my_status', 'Status');
	echo $this->form->select('my_status', array('Plan to Watch' => 'Plan to Watch', 
												'On-Hold' => 'On-Hold',  
												'Completed' => 'Completed', 
												'Watching' => 'Watching',
												'Dropped' => 'Dropped'));
	echo $this->form->field('my_comments', array('label' => 'Comments'));
	echo $this->form->field('my_times_watched', array('label' => 'Times Watched'));
    echo $this->form->label('rewatch_value', 'Rewatch Value');
    echo $this->form->select('rewatch_value', array('High', 'Medium', 'Low', 'None'), array('value' => 0));
	echo $this->form->field('tags', array('type' => 'textarea', 'id' => 'tags'));
	echo $this->form->checkbox('rewatching', array('label' =>'Rewatching?', 'value' => false));
	echo $this->form->submit('Save!');
	echo $this->form->end();
?>
